Package org.jmock.core

# Interface SelfDescribing

All Known Subinterfaces:
  `Constraint`, `InvocationDispatcher`, `InvocationMatcher`, `Invokable`, `Stub`

All Known Implementing Classes:
  `AbstractInvocationDispatcher`, `And`, `AnyArgumentsMatcher`, `ArgumentsMatcher`, `CustomStub`, `DefaultResultStub`, `DoAllStub`, `FIFOInvocationDispatcher`, `HasProperty`, `HasPropertyWithValue`, `HasToString`, `Invocation`, `InvocationMocker`, `InvokeAtLeastOnceMatcher`, `InvokeAtMostOnceMatcher`, `InvokeCountMatcher`, `InvokedAfterMatcher`, `InvokedRecorder`, `InvokeOnceMatcher`, `IsAnything`, `IsArrayContaining`, `IsCloseTo`, `IsCollectionContaining`, `IsCompatibleType`, `IsEqual`, `IsEventFrom`, `IsGreaterThan`, `IsIn`, `IsInstanceOf`, `IsLessThan`, `IsMapContaining`, `IsNot`, `IsNothing`, `IsNull`, `IsSame`, `LIFOInvocationDispatcher`, `MethodNameMatcher`, `NoArgumentsMatcher`, `Or`, `ReturnIteratorStub`, `ReturnStub`, `StatelessInvocationMatcher`, `StringContains`, `StringEndsWith`, `StringStartsWith`, `StubSequence`, `SubstringConstraint`, `TestFailureMatcher`, `TestFailureStub`, `ThrowStub`, `VoidStub`

public interface SelfDescribing
An object that can describe itself. Used when reporting a missed expectation in a test case.

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.

## Method Details

### describeTo

StringBuffer describeTo(StringBuffer buffer)
Appends the description of this object to the buffer.

Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.